AmericanPayoffAtExpiry Class Reference

Analytic formula for American exercise payoff at-expiry options. More...

`#include <ql/pricingengines/americanpayoffatexpiry.hpp>`

## Public Member Functions

| AmericanPayoffAtExpiry (Real spot, DiscountFactor discount, DiscountFactor dividendDiscount, Real variance, const boost::shared_ptr< StrikedTypePayoff > &payoff, bool knock_in=true)
Real | value () const

## Detailed Description

Analytic formula for American exercise payoff at-expiry options.